%define version 2.5.2
%define release 5mdk

%define src_ver 2.5.2

Summary: A X Input Method Server for Chinese
Name: xcin
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Internationalization
Source0: xcin-%{src_ver}.tar.bz2
Source1: xcin.wm
Source2: xcin.xpm
Source3: xcin.wrap
Source4: %{name}
Patch: xcin-2.5.2-xcinrc.patch.bz2
PreReq: libtabe
Requires: locales-zh
BuildRequires: libtabe-devel
Buildroot: %{_tmppath}/%{name}-buildroot

%description
Xcin is an X Input Method allowing to type in chinese in X applications
that follow the XIM input method standard.

%prep

rm -rf $RPM_BUILD_ROOT

%setup -q -n xcin-2.5
%patch -p1 -b .xcinrc

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr/X11R6 --with-xcin-dir=/usr/X11R6/lib/X11/xcin \
	--with-xcin-rcdir=/etc/chinese/xcin
make

%install

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/etc/chinese/xcin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xcin/tab
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man

export program_prefix=$RPM_BUILD_ROOT
export xcin_rcp=$RPM_BUILD_ROOT/etc/chinese/xcin
make -e install

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/

# menu
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/menu/

# icons
install -m 644 $RPM_SOURCE_DIR/xcin.xpm \
		$RPM_BUILD_ROOT/usr/share/icons/xcin.xpm
install -m 644 $RPM_SOURCE_DIR/xcin.wm $RPM_BUILD_ROOT/etc/X11/wmconfig/xcin

%post
## menu
if [ -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi

%postun
## menu
if [ "$1" = "0" -a -x /usr/bin/update-menus ]; then /usr/bin/update-menus || true ; fi

%files
%defattr(-,root,root)
%doc doc/* 
%config /etc/chinese/xcin
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/xcin/*
/etc/X11/wmconfig/xcin
%{_libdir}/menu/%{name}
/usr/X11R6/share/locale/zh_*/LC_MESSAGES/xcin.mo
%{_datadir}/icons/xcin.xpm

%clean 

rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 24 2000 Andrew Lee <andrew@cle.linux.org.tw> 2.5.2-5mdk
- clean .spec
- refine xcinrc
- s/icons/icon/

* Mon Oct 23 2000 Andrew Lee <andrew@cle.linux.org.tw>
- xcin 2.5.2 final release
- BM
- macros

* Tue Oct 10 2000 Andrew Lee <andrew@cle.linux.org.tw>
- xcin-2.5.2.pre6.diff
- refine xcinrc
- add %file xcin.mo

* Mon Oct  9 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update to 2.5.2.pre6
- refine xcinrc

* Tue Sep 19 2000 Andrew Lee <andrew@cle.linux.org.tw>
- fix phonegb2 bugs
- refine xcinrc patch
- added icon to menu

* Fri Aug 25 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre5

* Thu Aug 15 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre4a

* Sun Jul 30 2000 Andrew Lee <andrew@cle.linux.org.tw>
- refind xcinrc, enable simplex@big5, cantonese@big5, 
bimsphonesimple@big5, pinyin@big5, biaoxingma@gb2312, jtcj_gb@gb2312,
shuangpin@gb2312, wubizixing@gb2312 and zhiranma@gb2312.
- add phonegb2 Thanks to ªkw (ڤ) <bv1al@ms2.journalist.com.tw>
- modify menu title

* Sat Jul 29 2000 ID5 <id5id5@tcts1.seed.net.tw>
- update to 2.5.2-pre4
- Build without liu55,liu55gb,phonegb2 and bimsphonesimple.

* Mon Jul 24 2000 ID5 <id5id5@tcts1.seed.net.tw>
- Rebuild without liu55

* Sat Jul  8 2000 ID5 <id5id5@tcts1.seed.net.tw>
- Rebuild with libtabe new version

* Wed May  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- menu entry
- PreReq: libtabe
- Requires: locales-zh
- BuildRequires: libtabe-devel

* Wed Apr 12 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre3
- set OverTheSpot enable default

* Mon Mar 27 2000 Andrew Lee <andrew@cle.linux.org.tw>
- many kde-i18n packages can't work with OverTheSpot..:-(
- disable OverTheSpot

* Mon Mar 27 2000 Andrew Lee <andrew@cle.linux.org.tw>
- fix kdelnk bug
- set OverTheSpot enable

* Sat Mar 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre2

* Tue Mar  7 2000 Yuan-Chung Cheng <platin@linux.org.tw>
- /usr/share/applnk/Chinese/xcin.kdelnk

* Mon Feb 21 2000 Andrew Lee <andrew@cle.linux.org.tw>
- remove Chewing!!

* Sun Feb 20 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add Chewing!!

* Fri Feb 18 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update 2.5.2-pre1

* Thu Feb 10 2000 Chih-Wei Huang <cwhuang@linux.org.tw>
- remove kdelnk, modify xcin.desktop

* Fri Feb  4 2000 Cheng Yuan-Cheng <platin@linux.org.tw>
- .spec file cleanup
- change xcin directory to /usr/X11R6/lib/X11/xcin/

* Tue Jan 25 2000 Andrew Lee <andrew@cle.linux.org.tw>
- add bimsphone module patch

* Mon Jan 24 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000124
- add non-autoselect bimsphone 
- add phonegb2

* Thu Jan 6 2000 Andrew Lee <andrew@cle.linux.org.tw>
- rebuild for yami

* Mon Jan  3 2000 Andrew Lee <andrew@cle.linux.org.tw>
- update xcin-2.5-20000103

* Mon Dec 13 1999 Andrew Lee <andrew@cle.linux.org.tw>
- Patch a bug (gui.c)

* Mon Nov 29 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991128

* Thu Nov 25 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- update xcin-2.5-19991109
- fix cin2tab rcfile bug

* Mon Nov 22 1999 Andrew Lee <Andrew@nssh.tpc.edu.tw>
- rebuild for mandrake
- patch cin/Makefile path

* Thu Aug 26 1999 Cheng Yuan-Cheng <platin@linux.org.tw>
- for xcin-2.5.1
- menu entry for GNOME and KDE were added...

* Sat Jun 19 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- for xcin-2.5.0-pre3

* Sun May  2 1999 Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- frist build xcin-2.5

